OpenVDB 5.1.0

Public Types | List of all members
ScalarToVectorConverter< ScalarGridType > Struct Template Reference

ScalarToVectorConverter<ScalarGridType>::Type is the type of a grid having the same tree configuration as ScalarGridType but value type Vec3<T> where T is ScalarGridType::ValueType. More...

`#include <GridOperators.h>`

## Public Types
typedef math::Vec3< typename ScalarGridType::ValueType > | VectorValueT
typedef ScalarGridType::template ValueConverter< VectorValueT >::Type | Type

## Detailed Description

### template<typename ScalarGridType>
struct openvdb::v5_1::tools::ScalarToVectorConverter< ScalarGridType >

ScalarToVectorConverter<ScalarGridType>::Type is the type of a grid having the same tree configuration as ScalarGridType but value type Vec3<T> where T is ScalarGridType::ValueType.

For example, ScalarToVectorConverter<DoubleGrid>::Type is equivalent to Vec3DGrid.

## Member Typedef Documentation

## ◆ Type

typedef ScalarGridType::template ValueConverter<VectorValueT>::Type Type

## ◆ VectorValueT

typedef math::Vec3<typename ScalarGridType::ValueType> VectorValueT

The documentation for this struct was generated from the following file:

- GridOperators.h